/**************************************************************************//**
  \file boardabstraction.h

  \brief This module control hw access

  \author

******************************************************************************/

#ifndef _BOARDABSTRACTION_H_
#define _BOARDABSTRACTION_H_

/*****************************************************************************\*
Includes section
******************************************************************************/
#include <stdio.h> // avrlibc
#include <types.h> // avrlibc

#include <appTimer.h> // Bitcloud 
#include <usart.h> // Bitcloud                                      
#include <aps.h>    // Bitcloud 
#include <adc.h>	// Bitcloud 
#include "leds.h"  // Bitcloud 


#define LED_BLINK_INTERVAL 500 

#define USART_TX_BUFFER_SIZE             512        // USART Tx buffer size

#define DATA_TRESSHOLD			290

#define APP_USART_CHANNEL  USART_CHANNEL_0
#define APP_USART_BAUDRATE USART_BAUDRATE_9600  


/*****************************************************************************\*
Public interface
******************************************************************************/

void InitHW(void);

void SendStrToConsole(char *str);
void NetworkSendingDataEndIndication(void);
void NetworkSendingDataIndication(void);
void NetworkJoiningIndication(void);
void NetworkJoinedIndication(void);
void NetworkFailedIndication(void);
void NetworkLeaveIndication(void);

	
#endif /* _BOARDABSTRACTION_H_ */
